//
//  MultiWindowView.m
//  MultiWindow
//
//  Created by Marimuthu on 20/07/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "MultiWindowView.h"


@implementation MultiWindowView

- (id)initWithFrame:(NSRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code here.
    }
    return self;
}

-(void) drawCircle
{
	// Get the graphics context that we are currently executing under
    NSGraphicsContext* gc = [NSGraphicsContext currentContext];
	
    // Save the current graphics context settings
    [gc saveGraphicsState];
	
    // Set the color in the current graphics context for future draw operations
    [[NSColor blackColor] setStroke];
    [[NSColor magentaColor] setFill];
	
    // Create our circle path
    NSRect rect = NSMakeRect(10, 10, 10, 10);
    NSBezierPath* circlePath = [NSBezierPath bezierPath];
    [circlePath appendBezierPathWithOvalInRect: rect];
	
    // Outline and fill the path
    [circlePath stroke];
    [circlePath fill];
	
    // Restore the context to what it was before we messed with it
    [gc restoreGraphicsState];
}

- (void)drawRect:(NSRect)dirtyRect {
	[self drawCircle];
	 
    // Drawing code here.
}



-(void) moveWindoww
{
	NSRect mainWnd = [[self window] frame];
	NSRect newRect =  mainWnd;
	newRect.origin.x = mainWnd.origin.x + mainWnd.size.width;
	newRect.origin.y = mainWnd.origin.y + 75;
	newRect.size.width = 10;
	newRect.size.height = mainWnd.size.height-150;//* 0.5;//200;
	[window2 setFrame:newRect display:YES];
	//[[window2 contentView] setColor: [NSColor blackColor]];
	[window2 update];
}

- (void) awakeFromNib
{
	[window2 setStyleMask:NSBorderlessWindowMask];

	[[self window] addChildWindow:window2 ordered:NSWindowBelow];
	[self moveWindoww];
	
	
	// Subscribe to scrolling notification:
	NSClipView *contentView = [[self window] contentView];
	[contentView setPostsBoundsChangedNotifications: YES];
	
    [[NSNotificationCenter defaultCenter] addObserver:self
											 selector:@selector(ViewFrameDidChange:)
												 //name:NSViewBoundsDidChangeNotification
												 name:NSViewFrameDidChangeNotification
											   object:contentView];

}

-(void)	ViewFrameDidChange:(NSNotification *)notification
{
	NSLog(@"ViewFrameDidChange called from main window.");
	[self moveWindoww];

}

- (void) viewWillMoveToWindow:(NSWindow *)newWindow {
	NSLog(@"multiwindow view viewWillMoveToWindow");

}

-(void) windowDidResize:(NSNotification *)notification
{
	NSLog(@"windowDidResize called");
}
- (void)viewDidMoveToWindow
{
	NSLog(@"viewDidMoveToWindow called");

}

-(IBAction)click:(id)sender
{
	NSLog(@"click");
	NSRect rect = [self frame];
	rect.size.height=+1;
	[self setFrame:rect];
	
}
- (void)windowDidMove:(NSNotification *)notification
{	NSLog(@"windowDidMove");

	
}



//
//
////- (void)windowDidMove:(NSNotification *)aNotification
////{
////	
////}
//-(void) moveWindoww
//{
//	NSRect mainWnd = [[self window] frame];
//	NSRect newRect =  mainWnd;
//	newRect.origin.x = mainWnd.origin.x + mainWnd.size.width;
//	newRect.origin.y = mainWnd.origin.y + (mainWnd.size.height/2);
//	newRect.size.width = 130;
//	newRect.size.height = 130;
//	[window2 setFrame:newRect display:YES];
//	//[[window2 contentView] setColor: [NSColor blackColor]];
//	[window2 update];
//}
//
////
////- (void)mouseEntered:(NSEvent *)event
////{
////	[self moveWindoww];
////	
////	//[self setImage:[NSImage imageNamed:@"buttonHover"]];
////	NSLog(@"mouseEntered");
////}
////
////- (void)mouseExited:(NSEvent *)event
////{
////	[self moveWindoww];
////	
////	//[self setImage:[NSImage imageNamed:@"button"]];
////	NSLog(@"mouseExit");
////}
////
////- (void)windowWillMove:(NSNotification *)aNotification 
////{
////	[self moveWindoww];
////}
////
////- (void)windowDidMiniaturize:(NSNotification *)aNotification
////{
////	[self moveWindoww];
////
////}
////
////- (void)windowDidDeminiaturize:(NSNotification *)notification
////{
////	[self moveWindoww];
////
////}
//
//- (void)windowDidMove:(NSNotification *)notification
//{
//	NSLog(@"windowDidMove called");
//	[self moveWindoww];
//
//}
////- (void)windowDidResize:(NSNotification *)notification
////{
////	[self moveWindoww];
////	
////}
////- (void)windowDidExpose:(NSNotification *)notification
////{
////	[self moveWindoww];
////	
////}
//
//- (void)windowDidUpdate:(NSNotification *)notification
//{
//	[self moveWindoww];
//	
//}
//- (void)windowDidChangeScreen:(NSNotification *)notification
//{
//	[self moveWindoww];
//	
//}
////- (void)sendEvent:(NSEvent *)theEvent
////{
////	[self moveWindoww];
////}
////- (void)mouseDragged:(NSEvent *)theEvent
////{
////	NSLog(@"Mouse dragged");
////	[self moveWindoww];
////
////}
////-(void) mouseMoved:(NSEvent *)theEvent
////{
////	NSLog(@"Mouse moved");
////
////	[self moveWindoww];
////
////}
////
////- (void)mouseMoved:(NSEvent *)theEvent
////{
////		NSLog(@"Mouse moved");
////	[self moveWindoww];
////}
////- (void)mouseDragged:(NSEvent *)theEvent
////{
////		NSLog(@"Mouse dragged");
////	[self moveWindoww];
////}
////- (void)otherMouseDragged:(NSEvent *)theEvent
////{
////	NSLog(@"otherMouseDragged dragged");
////
////}

@end
